extends Node

var score = 0
var hearts = 3
var collected_coins = {}

@onready var score_node = HUD.get_node("Coins/ScoreLabel")
@onready var hearts_node = HUD.get_node("Hearts/HeartsLabel")

func _ready() -> void:
	score = 0
	score_node.text = str(score)
	hearts = 3
	hearts_node.text = str(hearts)

func add_score():
	score += 1
	score_node.text = str(score)

func reduce_hearts():
	hearts -= 1
	hearts_node.text = str(hearts)
